Bug 1270290 - Installation on VM takes 40 minutes
Installation on VM takes 40 minutes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 10:12 EDT by Alexander Todorov
Modified: 2017-08-08 08:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:17:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (23.76 KB, text/plain)
2015-10-09 10:14 EDT, Alexander Todorov
no flags Details
journal.log (958.69 KB, text/plain)
2015-10-09 10:14 EDT, Alexander Todorov
no flags Details
packaging.log (2.50 KB, text/plain)
2015-10-09 10:14 EDT, Alexander Todorov
no flags Details
program.log (69.58 KB, text/plain)
2015-10-09 10:14 EDT, Alexander Todorov
no flags Details
syslog (67.37 KB, text/plain)
2015-10-09 10:14 EDT, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2015-10-09 10:12:59 EDT
Description of problem:

I'm provisioning a KVM guest with a Rawhide snapshot and it took 40 minutes to complete. The source is HTTP on the local-ish network, not across the Internet. 

In particular I've noticed that post install configuration is unusually long:

16:36 - Anaconda starts formatting disks
16:39 - already installing first packages
16:50 - doing post install configuration
17:00 - installing boot loader
17:01 - generating initramfs
17:05 - finished


Post install configuration (no ks.cfg provided) and initramfs generation appears unusually long. Timestamps are local, they will differ from what's in the logs.


Version-Release number of selected component (if applicable):
24.3-1
Comment 1 Alexander Todorov 2015-10-09 10:14 EDT
Created attachment 1081352 [details]
anaconda.log
Comment 2 Alexander Todorov 2015-10-09 10:14 EDT
Created attachment 1081353 [details]
journal.log
Comment 3 Alexander Todorov 2015-10-09 10:14 EDT
Created attachment 1081354 [details]
packaging.log
Comment 4 Alexander Todorov 2015-10-09 10:14 EDT
Created attachment 1081355 [details]
program.log
Comment 5 Alexander Todorov 2015-10-09 10:14 EDT
Created attachment 1081356 [details]
syslog
Comment 6 Alexander Todorov 2015-10-09 10:17:37 EDT
14:34:20,839 INFO anaconda: Starting package installation process
14:34:48,388 INFO anaconda: Preparing transaction from installation source
14:39:02,072 INFO anaconda: Performing post-installation setup tasks

^^^^^ vvvvvv - quite a few minutes between


14:56:46,416 INFO anaconda: Installing boot loader
14:57:20,165 INFO anaconda: Installing boot loader -- DONE

14:57:20,168 INFO anaconda: Performing post-installation setup tasks
14:57:20,204 INFO anaconda: Performing post-installation setup tasks -- DONE

^^^^ same string repeats previously in the log, I have no idea what it is.


14:57:20,472 INFO anaconda: Configuring installed system
14:57:23,458 INFO anaconda: Configuring installed system -- DONE

14:57:24,311 INFO anaconda: Generating initramfs
15:01:31,091 INFO anaconda: Generating initramfs -- DONE

^^^^^ 4 minutes
Comment 7 Martin Kolman 2015-10-09 10:37:06 EDT
Yeah, this is definitely bad. We should really either find out why it is taking so long & make it faster (provided the slowdown is caused by our code) or at least provide some sort of feedback - possibly like DFN does:

Performing post-installation setup tasks, 93% done
Comment 8 Jan Kurik 2016-02-24 10:51:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Fedora End Of Life 2017-07-25 15:21:00 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:17:47 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.